using System;
namespace Vezbanje
{
    class Program
    {
        static void UnosPodataka(out int n, out int q, out long[] d, out long[] p, out long k)
        {
            int[] ulaz = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
            n = ulaz[0];
            q = ulaz[1];
            d = new long[n];
            p = new long[n];
            for (int i = 0; i < n; i++)
            {
                long[] ulaz2 = Array.ConvertAll(Console.ReadLine().Split(' '), long.Parse);
                d[i] = ulaz2[0];
                p[i] = ulaz2[1];
            }
            k = long.Parse(Console.ReadLine());
        }

        static void ProveraPitanja(int n, int q, long[] d, long[] p, long k)
        {
            long zalihe = 0, pojedeno = 0, proslaKupovina = 0;
            for (int j = 0; j < n; j++)
            {
                if (d[j] > k)
                {
                    if (zalihe > k - proslaKupovina + 1) Console.WriteLine(pojedeno + k - proslaKupovina + 1);
                    else if (zalihe > 0) Console.WriteLine(pojedeno + zalihe);
                    else Console.WriteLine(pojedeno);
                    break;
                }
                if (zalihe > d[j] - proslaKupovina)
                {
                    pojedeno += d[j] - proslaKupovina;
                    zalihe -= d[j] - proslaKupovina;
                }
                else if (zalihe > 0)
                {
                    pojedeno += zalihe;
                    zalihe = 0;
                }
                zalihe += p[j];
                proslaKupovina = d[j];

            }
            if (d[n - 1] <= k)
            {
                if (zalihe > k - proslaKupovina + 1) Console.WriteLine(pojedeno + k - proslaKupovina + 1);
                else if (zalihe > 0) Console.WriteLine(pojedeno + zalihe);
                else Console.WriteLine(pojedeno);
            }

        }

        static void Main(string[] args)
        {
            UnosPodataka(out int n, out int q, out long[] d, out long[] p, out long k);
            ProveraPitanja(n, q, d, p, k);

            Console.ReadKey();
        }
    }
}